//Bf2 Rank Mod Commands File
//Contains all the client command functions

#if defined bf2_cmds_included
  #endinput
#endif
#define bf2_cmds_included

//Public menu / say commands. Help motds etc..
public show_rankhelp(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return;

	new tempstring[100];
	new motd[2048];
	new Float:xpmult=get_pcvar_float(gPcvarXpMultiplier);

	new kills;

	formatex(motd, charsmax(motd), "<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring, charsmax(tempstring), "Rank Points Table</strong><br><br>");
	add(motd, charsmax(motd), tempstring);

	for (new counter = 0; counter < (MAX_RANKS-1); counter++)
	{
		kills = floatround(float(gRankXP[counter])*xpmult);
		formatex(tempstring, charsmax(tempstring), "%s - %d pts", gRankName[counter], kills);
		add(motd, charsmax(motd), tempstring);
		add(motd, charsmax(motd), "<br>");

		switch(counter)
		{
			case 7:
			{
				formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak *", gRankName[17], gRankName[7], MAX_BADGES);
				add(motd, charsmax(motd), tempstring);
				add(motd, charsmax(motd), "<br>");
			}
			case 8:
			{
				formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak *", gRankName[18], gRankName[8], MAX_BADGES*2);
				add(motd, charsmax(motd), tempstring);
				add(motd, charsmax(motd), "<br>");
			}
		}
	}

	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak", gRankName[19], gRankName[15], MAX_BADGES*3);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	kills = floatround(float(gRankXP[MAX_RANKS-1])*xpmult);
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Zabic", gRankName[16], gRankName[19], kills);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz bycia Vice-Liderem rankingu", gRankName[20], gRankName[16]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");
	
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz bycia Liderem rankingu", gRankName[21], gRankName[16]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	add(motd, charsmax(motd), "<br> * Specjalne Rangi - Te informacje zostana pominiete jesli nie spelniasz odpowiednnich wymagan");
	add(motd, charsmax(motd), "</font></body></html>");

	show_motd(id, motd, "BF2: Wymagania Rang");

	helpmenu(id);
}

public mapmostfrags(){
	if(mapmaxfrags && !equal(mapmaxfragsname,""))
		ColorChat(0,YELLOW,"[^x04BF2^x01] Lider mapy:^x04 %s^x01 z^x04 %d^x01 fragami",mapmaxfragsname,mapmaxfrags);
	
	return PLUGIN_CONTINUE;
}

public show_server_stats(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[100];
	new motd[2048];
	new names[4][32];

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring,charsmax(tempstring),"Obecne Statystyki</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>",gRankName[highestrank],names[0]);
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"<strong>Statystyki Serwera</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>", gRankName[highestrankserver], highestrankservername);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zabic: %s %i<br><br>",mostkillsname,mostkills);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zwyciestw: %s %i<br><br>",mostwinsname,mostwins);
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"<strong>Statystyki mapy</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwiecej fragow: %s (%i)<br><br>", mapmaxfragsname, mapmaxfrags);
	add(motd,charsmax(motd),tempstring);
	
	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Statystki Serwera");

	statsmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges1.html",configsdir);	
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges1web.html",url);
	}
	show_motd(id, configfile, "BF2: Odznaki - Pomoc 1");

	helpmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp2(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges2.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges2web.html",url);
	}

	show_motd(id, configfile, "BF2: Odznaki - Pomoc 2");

	helpmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp3(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges3.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges3web.html",url);
	}

	show_motd(id, configfile, "Odznaki - Pomoc 3");

	helpmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp4(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges4.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges4web.html",url);
	}

	show_motd(id, configfile, "Odznaki - Pomoc 4");

	helpmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp5(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges5.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges5web.html",url);
	}

	show_motd(id, configfile, "Odznaki - Pomoc 5");

	helpmenu(id);

	return PLUGIN_CONTINUE;
}

public show_badges1(id){
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[204];
	new motd[2048];
	new names[4][32];
	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^">");
	add(motd,charsmax(motd),tempstring);

	for (new counter=0; counter<3; ++counter){
		formatex(tempstring,charsmax(tempstring),"<img src=^"%s/%s^"><br>",url,gBadgeImageName[counter]);
		add(motd,charsmax(motd),tempstring);
		if(g_PlayerBadges[id][counter]==LEVEL_PROFESIONAL){
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - Najwyzszy poziom: <font color=^"lime^">Profesjonalista</font><br>",gBadgeClassName[counter]);
			add(motd,charsmax(motd),tempstring);
		} else {
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - obecnie <b>%s</b>, do poziomu <b>%s</b> potrzeba:<br>",gBadgeClassName[counter],poziom[g_PlayerBadges[id][counter]],poziom[g_PlayerBadges[id][counter]+1]);
			add(motd,charsmax(motd),tempstring);
			if(counter==BADGE_KNIFE){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"2 zabicia nozem w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"50 zabic nozem (zabiles pistoletem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", knifekills[id], 50-knifekills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(knifekills[id]<100)
						formatex(tempstring,charsmax(tempstring),"100 zabic nozem (zabiles pistoletem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia nozem w 1 rundzie<br>w tym 1 w glowe<br>", knifekills[id], 100-knifekills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"100 zabic nozem (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia nozem w 1 rundzie<br>w tym 1 w glowe<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(knifekills[id]<150)
						formatex(tempstring,charsmax(tempstring),"150 zabic nozem (zabiles pistoletem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia nozem w 1 rundzie<br>w tym 2 w glowe<br>", knifekills[id], 150-knifekills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"150 zabic nozem (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia nozem w 1 rundzie<br>w tym 2 w glowe<br>");
				}
			} else if(counter==BADGE_PISTOL){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"3 zabicia pistoletem w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"100 zabic pistoletem (zabiles nozem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", pistolkills[id], 100-pistolkills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(pistolkills[id]<200)
						formatex(tempstring,charsmax(tempstring),"200 zabic pistoletem (zabiles nozem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia pistoletem w 1 rundzie<br>w tym 1 HSem<br>", pistolkills[id], 200-pistolkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"200 zabic pistoletem (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia pistoletem w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(pistolkills[id]<300)
						formatex(tempstring,charsmax(tempstring),"300 zabic pistoletem (zabiles nozem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia pistoletem w 1 rundzie<br>w tym 2 HSem<br>", pistolkills[id], 300-pistolkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"300 zabic pistoletem (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia pistoletem w 1 rundzie<br>w tym 2 HSem<br>");
				}
			} else if(counter==BADGE_ASSAULT){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"3 zabicia w jednej rundzie bronia szturmowa<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					if(totalkills[id]<1000)
						formatex(tempstring,charsmax(tempstring),"1000 zabic (zabiles lacznie <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia bronia szturmowa w 1 rundzie<br>w tym 1 HSem<br>", totalkills[id], 1000-totalkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"1000 zabic (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia bronia szturmowa w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(totalkills[id]<2000)
						formatex(tempstring,charsmax(tempstring),"2000 zabic (zabiles lacznie <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia bronia szturmowa w 1 rundzie<br>w tym 2 HSem<br>", totalkills[id], 2000-totalkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"2000 zabic (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia bronia szturmowa w 1 rundzie<br>w tym 2 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(totalkills[id]<3000)
						formatex(tempstring,charsmax(tempstring),"3000 zabic (zabiles lacznie <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>5 zabicia bronia szturmowa w 1 rundzie<br>w tym 3 HSem<br>", totalkills[id], 3000-totalkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"3000 zabic (<font color=^"lime^">warunek spelniony</font>)<br>5 zabicia bronia szturmowa w 1 rundzie<br>w tym 3 HSem<br>");
				}
			}
			add(motd,charsmax(motd),tempstring);
			add(motd,charsmax(motd),"<br>");
		}
	}
	
	add(motd,charsmax(motd),"</font></body></html>");
	show_motd(id,motd,"BF2: Odznaki do zdobycia 1");
	show_badges(id);
	return PLUGIN_CONTINUE;
}

public show_badges2(id){
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[204];
	new motd[2048];
	new names[4][32];
	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^">");
	add(motd,charsmax(motd),tempstring);

	for (new counter=3; counter<6; ++counter){
		formatex(tempstring,charsmax(tempstring),"<img src=^"%s/%s^"><br>",url,gBadgeImageName[counter]);
		add(motd,charsmax(motd),tempstring);
		if(g_PlayerBadges[id][counter]==LEVEL_PROFESIONAL){
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - Najwyzszy poziom: <font color=^"lime^">Profesjonalista</font><br>",gBadgeClassName[counter]);
			add(motd,charsmax(motd),tempstring);
		} else {
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - obecnie <b>%s</b>, do poziomu <b>%s</b> potrzeba:<br>",gBadgeClassName[counter],poziom[g_PlayerBadges[id][counter]],poziom[g_PlayerBadges[id][counter]+1]);
			add(motd,charsmax(motd),tempstring);
			if(counter==BADGE_SNIPER){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"3 zabicia snajperka w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"100 zabic snajperka (zabiles snajperka <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", sniperkills[id], 100-sniperkills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(sniperkills[id]<200)
						formatex(tempstring,charsmax(tempstring),"200 zabic snajperka (zabiles snajperka <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia snajperka w 1 rundzie<br>w tym 1 HSem<br>", sniperkills[id], 100-sniperkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"200 zabic snajperka (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia snajperka w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(sniperkills[id]<300)
						formatex(tempstring,charsmax(tempstring),"300 zabic snajperka (zabiles snajperka <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia snajperka w 1 rundzie<br>w tym 2 HSem<br>", sniperkills[id], 100-sniperkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"300 zabic snajperka (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia snajperka w 1 rundzie<br>w tym 2 HSem<br>");
				}
			} else if(counter==BADGE_SUPPORT){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"2 zabicia krowa w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){						
					formatex(tempstring,charsmax(tempstring),"100 zabic krowa (zabiles krowa <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", parakills[id], 100-parakills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(parakills[id]<200)
						formatex(tempstring,charsmax(tempstring),"200 zabic krowa (zabiles krowa <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia krowa w 1 rundzie<br>w tym 1 HSem<br>", parakills[id], 200-parakills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"200 zabic krowa (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia krowa w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(parakills[id]<300)
						formatex(tempstring,charsmax(tempstring),"300 zabic krowa (zabiles krowa <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia krowa w 1 rundzie<br>w tym 2 HSem<br>", parakills[id], 300-parakills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"300 zabic krowa (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia krowa w 1 rundzie<br>w tym 2 HSem<br>");
				}
			} else if(counter==BADGE_EXPLOSIVES){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"25 zabic granatami (zabiles granatami <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", grenadekills[id], 25-grenadekills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"50 zabic granatami (zabiles granatami <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", grenadekills[id], 50-grenadekills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					formatex(tempstring,charsmax(tempstring),"100 zabic granatami (zabiles granatami <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", grenadekills[id], 100-grenadekills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					formatex(tempstring,charsmax(tempstring),"200 zabic granatami (zabiles granatami <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", grenadekills[id], 200-grenadekills[id]);
				}
			}
			add(motd,charsmax(motd),tempstring);
			add(motd,charsmax(motd),"<br>");
		}
	}
	
	add(motd,charsmax(motd),"</font></body></html>");
	show_motd(id,motd,"BF2: Odznaki do zdobycia 2");
	show_badges(id);
	return PLUGIN_CONTINUE;
}

public show_badges3(id){
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[204];
	new motd[2048];
	new names[4][32];
	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^">");
	add(motd,charsmax(motd),tempstring);

	for (new counter=6; counter<9; ++counter){
		formatex(tempstring,charsmax(tempstring),"<img src=^"%s/%s^"><br>",url,gBadgeImageName[counter]);
		add(motd,charsmax(motd),tempstring);
		if(g_PlayerBadges[id][counter]==LEVEL_PROFESIONAL){
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - Najwyzszy poziom: <font color=^"lime^">Profesjonalista</font><br>",gBadgeClassName[counter]);
			add(motd,charsmax(motd),tempstring);
		} else {
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - obecnie <b>%s</b>, do poziomu <b>%s</b> potrzeba:<br>",gBadgeClassName[counter],poziom[g_PlayerBadges[id][counter]],poziom[g_PlayerBadges[id][counter]+1]);
			add(motd,charsmax(motd),tempstring);
			if(counter==BADGE_SHOTGUN){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"3 zabicia shotgunem w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"100 zabic shotgunem (zabiles shotgunem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", shotgunkills[id], 100-shotgunkills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(shotgunkills[id]<200)
						formatex(tempstring,charsmax(tempstring),"200 zabic shotgunem (zabiles shotgunem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia shotgunem w 1 rundzie<br>w tym 1 HSem<br>", shotgunkills[id], 200-shotgunkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"200 zabic shotgunem (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia shotgunem w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(shotgunkills[id]<350)
						formatex(tempstring,charsmax(tempstring),"350 zabic shotgunem (zabiles shotgunem <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia shotgunem w 1 rundzie<br>w tym 2 HSem<br>", shotgunkills[id], 350-shotgunkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"350 zabic shotgunem (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia shotgunem w 1 rundzie<br>w tym 2 HSem<br>");
				}
			} else if(counter==BADGE_SMG){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"3 zabicia z SMG w 1 rundzie<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"100 zabic z SMG (zabiles z SMG <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>", smgkills[id], 100-smgkills[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(smgkills[id]<200)
						formatex(tempstring,charsmax(tempstring),"200 zabic z SMG (zabiles z SMG <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia z SMG w 1 rundzie<br>w tym 1 HSem<br>", smgkills[id], 200-smgkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"200 zabic z SMG (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia z SMG w 1 rundzie<br>w tym 1 HSem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(smgkills[id]<350)
						formatex(tempstring,charsmax(tempstring),"350 zabic z SMG (zabiles z SMG <font color=^"silver^">%d</font> razy, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia z SMG w 1 rundzie<br>w tym 2 HSem<br>", smgkills[id], 350-smgkills[id]);
					else
						formatex(tempstring,charsmax(tempstring),"350 zabic z SMG (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia z SMG w 1 rundzie<br>w tym 2 HSem<br>");
				}
			} else if(counter==BADGE_FLASH){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"50 oslepien wrogow (oslepiles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>", flashbangs[id], 50-flashbangs[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"100 oslepien wrogow (oslepiles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>", flashbangs[id], 100-flashbangs[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					formatex(tempstring,charsmax(tempstring),"200 oslepien wrogow (oslepiles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>", flashbangs[id], 200-flashbangs[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					formatex(tempstring,charsmax(tempstring),"400 oslepien wrogow (oslepiles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>", flashbangs[id], 400-flashbangs[id]);
				}
			}
			add(motd,charsmax(motd),tempstring);
			add(motd,charsmax(motd),"<br>");
		}
	}
	
	add(motd,charsmax(motd),"</font></body></html>");
	show_motd(id,motd,"BF2: Odznaki do zdobycia 3");
	show_badges(id);
	return PLUGIN_CONTINUE;
}

public show_badges4(id){
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[204];
	new motd[2048];
	new names[4][32];
	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^">");
	add(motd,charsmax(motd),tempstring);

	for (new counter=9; counter<12; ++counter){
		formatex(tempstring,charsmax(tempstring),"<img src=^"%s/%s^"><br>",url,gBadgeImageName[counter]);
		add(motd,charsmax(motd),tempstring);
		if(g_PlayerBadges[id][counter]==LEVEL_PROFESIONAL){
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - Najwyzszy poziom: <font color=^"lime^">Profesjonalista</font><br>",gBadgeClassName[counter]);
			add(motd,charsmax(motd),tempstring);
		} else {
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - obecnie <b>%s</b>, do poziomu <b>%s</b> potrzeba:<br>",gBadgeClassName[counter],poziom[g_PlayerBadges[id][counter]],poziom[g_PlayerBadges[id][counter]+1]);
			add(motd,charsmax(motd),tempstring);
			if(counter==BADGE_EXPLOSIONS){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"10 skutecznych eksplozji (dokonales <font color=^"silver^">%d</font> skutecznych eksplozji, pozostalo <font color=^"yellow^">%d</font>)<br>", explosions[id], 10-explosions[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"25 skutecznych eksplozji (dokonales <font color=^"silver^">%d</font> skutecznych eksplozji, pozostalo <font color=^"yellow^">%d</font>)<br>", explosions[id], 25-explosions[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					formatex(tempstring,charsmax(tempstring),"45 skutecznych eksplozji (dokonales <font color=^"silver^">%d</font> skutecznych eksplozji, pozostalo <font color=^"yellow^">%d</font>)<br>", explosions[id], 45-explosions[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					formatex(tempstring,charsmax(tempstring),"75 skutecznych eksplozji (dokonales <font color=^"silver^">%d</font> skutecznych eksplozji, pozostalo <font color=^"yellow^">%d</font>)<br>", explosions[id], 75-explosions[id]);
				}
			} else if(counter==BADGE_SAPER){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"10 rozbrojen bomb (rozbroiles <font color=^"silver^">%d</font> bomb, pozostalo <font color=^"yellow^">%d</font>)<br>", defuses[id], 10-defuses[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					formatex(tempstring,charsmax(tempstring),"25 rozbrojen bomb (rozbroiles <font color=^"silver^">%d</font> bomb, pozostalo <font color=^"yellow^">%d</font>)<br>", defuses[id], 25-defuses[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					formatex(tempstring,charsmax(tempstring),"45 rozbrojen bomb (rozbroiles <font color=^"silver^">%d</font> bomb, pozostalo <font color=^"yellow^">%d</font>)<br>", defuses[id], 45-defuses[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					formatex(tempstring,charsmax(tempstring),"75 rozbrojen bomb (rozbroiles <font color=^"silver^">%d</font> bomb, pozostalo <font color=^"yellow^">%d</font>)<br>", defuses[id], 75-defuses[id]);
				}
			} else if(counter==BADGE_NINJA){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"10 zgniecien wrogow (zgniotles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>", headsplashes[id], 10-headsplashes[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					if(headsplashes[id]<25)
						formatex(tempstring,charsmax(tempstring),"25 zgniecien wrogow (zgniotles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>2 zabicia w 1 rundzie<br>w tym 1 zgnieceniem<br>", headsplashes[id], 25-headsplashes[id]);
					else
						formatex(tempstring,charsmax(tempstring),"25 zgniecien wrogow (<font color=^"lime^">warunek spelniony</font>)<br>2 zabicia w 1 rundzie<br>w tym 1 zgnieceniem<br>");
					
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(headsplashes[id]<45)
						formatex(tempstring,charsmax(tempstring),"45 zgniecien wrogow (zgniotles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia w 1 rundzie<br>w tym 1 zgnieceniem<br>", headsplashes[id], 45-headsplashes[id]);
					else
						formatex(tempstring,charsmax(tempstring),"45 zgniecien wrogow (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia w 1 rundzie<br>w tym 1 zgnieceniem<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(headsplashes[id]<75)
						formatex(tempstring,charsmax(tempstring),"75 zgniecien wrogow (zgniotles <font color=^"silver^">%d</font> wrogow, pozostalo <font color=^"yellow^">%d</font>)<br>4 zabicia w 1 rundzie<br>w tym 2 zgnieceniem<br>", headsplashes[id], 75-headsplashes[id]);
					else
						formatex(tempstring,charsmax(tempstring),"75 zgniecien wrogow (<font color=^"lime^">warunek spelniony</font>)<br>4 zabicia w 1 rundzie<br>w tym 2 zgnieceniem<br>");
				}
			}
			add(motd,charsmax(motd),tempstring);
			add(motd,charsmax(motd),"<br>");
		}
	}
	
	add(motd,charsmax(motd),"</font></body></html>");
	show_motd(id,motd,"BF2: Odznaki do zdobycia 4");
	show_badges(id);
	return PLUGIN_CONTINUE;
}

public show_badges5(id){
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[204];
	new motd[2048];
	new names[4][32];
	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^">");
	add(motd,charsmax(motd),tempstring);

	for (new counter=12; counter<13; ++counter){
		formatex(tempstring,charsmax(tempstring),"<img src=^"%s/%s^"><br>",url,gBadgeImageName[counter]);
		add(motd,charsmax(motd),tempstring);
		if(g_PlayerBadges[id][counter]==LEVEL_PROFESIONAL){
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - Najwyzszy poziom: <font color=^"lime^">Profesjonalista</font><br>",gBadgeClassName[counter]);
			add(motd,charsmax(motd),tempstring);
		} else {
			formatex(tempstring,charsmax(tempstring),"<font color=^"yellow^">%s</font> - obecnie <b>%s</b>, do poziomu <b>%s</b> potrzeba:<br>",gBadgeClassName[counter],poziom[g_PlayerBadges[id][counter]],poziom[g_PlayerBadges[id][counter]+1]);
			add(motd,charsmax(motd),tempstring);
			if(counter==BADGE_DUCH){
				if(g_PlayerBadges[id][counter]==LEVEL_NONE){
					formatex(tempstring,charsmax(tempstring),"10 zabic z ukrycia we mgle granatow dymnych (zabiles <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymie[id], 10-zabiciaWdymie[id]);
				} else if(g_PlayerBadges[id][counter]==LEVEL_BASIC){
					if(zabiciaWdymie[id]<20)
						formatex(tempstring,charsmax(tempstring),"20 zabic w dymie (zabiles <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymie[id], 20-zabiciaWdymie[id]);
					else
						formatex(tempstring,charsmax(tempstring),"20 zabic w dymie (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieHS[id]<5)
						formatex(tempstring,charsmax(tempstring),"w tym 5 zabic HSem (zabiles HSem <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymieHS[id], 5-zabiciaWdymieHS[id]);
					else
						formatex(tempstring,charsmax(tempstring),"w tym 5 zabic HSem (<font color=^"lime^">warunek spelniony</font>)<br>");
					
				} else if(g_PlayerBadges[id][counter]==LEVEL_VETERAN){
					if(zabiciaWdymie[id]<35)
						formatex(tempstring,charsmax(tempstring),"35 zabic w dymie (zabiles <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymie[id], 35-zabiciaWdymie[id]);
					else
						formatex(tempstring,charsmax(tempstring),"35 zabic w dymie (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieHS[id]<10)
						formatex(tempstring,charsmax(tempstring),"w tym 10 zabic HSem (zabiles HSem <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymieHS[id], 10-zabiciaWdymieHS[id]);
					else
						formatex(tempstring,charsmax(tempstring),"w tym 10 zabic HSem (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieNozem[id]<3)
						formatex(tempstring,charsmax(tempstring),"oraz 3 zabicia nozem (zabiles nozem <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>2 zabicia w 1 rundzie<br>w tym 1 z ukrycia we mgle granatow dymnych<br>", zabiciaWdymieNozem[id], 3-zabiciaWdymieNozem[id]);
					else
						formatex(tempstring,charsmax(tempstring),"oraz 3 zabicia nozem (<font color=^"lime^">warunek spelniony</font>)<br>2 zabicia w 1 rundzie<br>w tym 1 z ukrycia we mgle granatow dymnych<br>");
				} else if(g_PlayerBadges[id][counter]==LEVEL_EXPERT){
					if(zabiciaWdymie[id]<60)
						formatex(tempstring,charsmax(tempstring),"60 zabic w dymie (zabiles <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymie[id], 60-zabiciaWdymie[id]);
					else
						formatex(tempstring,charsmax(tempstring),"60 zabic w dymie (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieHS[id]<20)
						formatex(tempstring,charsmax(tempstring),"w tym 20 zabic HSem (zabiles HSem <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymieHS[id], 20-zabiciaWdymieHS[id]);
					else
						formatex(tempstring,charsmax(tempstring),"w tym 20 zabic HSem (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieNozem[id]<8)
						formatex(tempstring,charsmax(tempstring),"oraz 8 zabic nozem (zabiles nozem <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>", zabiciaWdymieNozem[id], 8-zabiciaWdymieNozem[id]);
					else
						formatex(tempstring,charsmax(tempstring),"oraz 8 zabic nozem (<font color=^"lime^">warunek spelniony</font>)<br>");
					add(motd,charsmax(motd),tempstring);
					if(zabiciaWdymieNozemWglowe[id]<3)
						formatex(tempstring,charsmax(tempstring),"w tym 3 zabicia nozem w glowe (zabiles nozem w glowe <font color=^"silver^">%d</font> wrogow z ukrycia, pozostalo <font color=^"yellow^">%d</font>)<br>3 zabicia w 1 rundzie<br>w tym 2 z ukrycia we mgle granatow dymnych<br>", zabiciaWdymieNozemWglowe[id], 3-zabiciaWdymieNozemWglowe[id]);
					else
						formatex(tempstring,charsmax(tempstring),"w tym 3 zabicia nozem w glowe (<font color=^"lime^">warunek spelniony</font>)<br>3 zabicia w 1 rundzie<br>w tym 2 z ukrycia we mgle granatow dymnych<br>");
				}
			}
			add(motd,charsmax(motd),tempstring);
			add(motd,charsmax(motd),"<br>");
		}
	}
	
	add(motd,charsmax(motd),"</font></body></html>");
	show_motd(id,motd,"BF2: Odznaki do zdobycia 5");
	show_badges(id);
	return PLUGIN_CONTINUE;
}

public cmd_say(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new Arg1[31];
	read_args(Arg1, charsmax(Arg1));
	remove_quotes(Arg1);

	if (!((equal(Arg1, "/whois",6)) || (equal(Arg1, "/whostats",6))))
		return PLUGIN_CONTINUE;

	if (equal(Arg1, "/whostats",6))
	{
		new player = cmd_target(id, Arg1[10], 0);
		if (!player)
		{
			#if defined KOLOROWY_SAY
			ColorChat(id,TEAM_COLOR,"[BF2]^x03 Przepraszamy, gracz^x04 %s^x03 nie moze zostac zlokalizowany!",Arg1[10]);
			#else
			client_print(id,print_chat, "[BF2] Przepraszamy, gracz %s nie moze zostac zlokalizowany", Arg1[10]);
			#endif
			return PLUGIN_CONTINUE;
		}

		display_stats(id,player);

		return PLUGIN_CONTINUE;
	}

	new player = cmd_target(id, Arg1[7], 0);

	if (!player)
	{
		#if defined KOLOROWY_SAY
		ColorChat(id,TEAM_COLOR,"[BF2]^x03 Przepraszamy, gracz^x04 %s^x03 nie moze zostac zlokalizowany!",Arg1[7]);
		#else
		client_print(id,print_chat, "[BF2] Przepraszamy, gracz %s nie moze zostac zlokalizowany", Arg1[7]);
		#endif
		return PLUGIN_CONTINUE;
	}

	display_badges(id,player);

	return PLUGIN_CONTINUE;
}

public display_badges(id,badgeid)
{
	new name[32];
	get_user_name(badgeid,name,charsmax(name));

	new tempstring[100];
	new motd[2048];

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>");
	formatex(tempstring,charsmax(tempstring),"Statystyki Rang i Odznak dla gracza %s</strong></b>", name);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"<br><br>");
	formatex(tempstring,charsmax(tempstring),"Ranking: %s",gRankName[g_PlayerRank[badgeid]]);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"<br><br>");

	if (!get_pcvar_num(gPcvarBadgesActive))
	{
		add(motd,charsmax(motd),"</font></body></html>");
		show_motd(id,motd,"BF2: Informacje o Graczu");

		return PLUGIN_CONTINUE;
	}

	formatex(tempstring,charsmax(tempstring),"Zdobyte Odznaki: %d/%d<br>", numofbadges[badgeid],4*MAX_BADGES);
	add(motd,charsmax(motd),tempstring);

	for (new counter=0; counter<MAX_BADGES; counter++)
	{
		if(g_PlayerBadges[badgeid][counter]!=0)
		{
			formatex(tempstring,charsmax(tempstring),"&nbsp;%s",gBadgeName[counter][g_PlayerBadges[badgeid][counter]]);
			add(motd,charsmax(motd),tempstring);
			formatex(tempstring,charsmax(tempstring)," - %s<br>",gBadgeInfo[counter]);
			add(motd,charsmax(motd),tempstring);
		}
	}

	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Informacje o Graczu");

	statsmenu(id);

 	return PLUGIN_CONTINUE;
}

public cmd_who(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[100],players[32],num,tempname[32];
	new motd[2048];

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>Ranking Graczy</strong></b><br><br>");

	get_players(players,num);

	for (new counter=0; counter<num; counter++)
	{
		get_user_name(players[counter], tempname, charsmax(tempname));
		formatex(tempstring,charsmax(tempstring),"%s - %s<br>",tempname,gRankName[g_PlayerRank[players[counter]]]);
		add(motd,charsmax(motd),tempstring);

	}
	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Ranking Graczy");

	statsmenu(id);

	return PLUGIN_CONTINUE;

}

public cmd_help(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/help.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/helpweb.html",url);
	}

	show_motd(id, configfile, "BF2: Pomoc");

	helpmenu(id);

	return PLUGIN_CONTINUE;

}

public show_stats(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	display_stats(id,id);

	statsmenu(id);

	return PLUGIN_CONTINUE;

}

public display_stats(id,statsid)
{
	new tempstring[100];
	new motd[2048];
	new stats[8],bodyhits[8];
	new ranked=get_user_stats(statsid, stats, bodyhits);
	new tempname[32];
	get_user_name(statsid,tempname,charsmax(tempname));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>Statystyki Graczy: %s</strong><br>", tempname);
	add(motd,charsmax(motd),"(Aktualizowane co Runde)<br><br>");

	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia: %d<br>",totalkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Noza: %d<br>",knifekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Pistoletami: %d<br>",pistolkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z M249: %d<br>",parakills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Snajperkami: %d<br>",sniperkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Karabinam: %d<br>",riflekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Shotgunami: %d<br>",shotgunkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z SMG: %d<br>",smgkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Granatow: %d<br>",grenadekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Oslepienia wrogow: %d<br>",flashbangs[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zgniecenia wrogow: %d<br>",headsplashes[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia w ukryciu w dymie: %d (%d HS, %d nozem, %d nozem w glowe)<br>",zabiciaWdymie[statsid],zabiciaWdymieHS[statsid],zabiciaWdymieNozem[statsid],zabiciaWdymieNozemWglowe[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna Celnosc: %d percent<br>",accuracy[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc podlozonych bomb: %d<br>",plants[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore wybuchly: %d<br>",explosions[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore zostaly rozbrojone: %d<br>",defuses[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Obecna ranga gracza: #%d<br>",ranked);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Zdobyte Medale: Brazowe %d, Srebrne %d, Zlote %d, Platynowe %d<br>",bronze[statsid],silver[statsid],gold[statsid],platine[statsid]);
	add(motd,charsmax(motd),tempstring);

	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Statystyki Gracza");

}

//Admin only commands below here


//Gives badge to specified player
public add_badge(id,level,cid)
{
	if (!cmd_access(id, level, cid, 4)) return PLUGIN_HANDLED;

	new Arg1[24];
	new Arg2[4];
	new Arg3[4];


	read_argv(1, Arg1, charsmax(Arg1));
	read_argv(2, Arg2, charsmax(Arg2));
	read_argv(3, Arg3, charsmax(Arg3));

	new badge = str_to_num(Arg2);
	new level = str_to_num(Arg3);

	new player = cmd_target(id, Arg1, 0);

	if (!player || (level>3) || (level<0) || (badge>=MAX_BADGES) || (badge<0))
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany! lub bledna odznaka/poziom", Arg1);
			return PLUGIN_HANDLED;
	} else {
			g_PlayerBadges[player][badge]=level;
			#if defined KOLOROWY_SAY
			ColorChat(id,TEAM_COLOR,"[BF2] %s^x03 odznaka zostala przyznana graczowi^x04 %s",gBadgeName[badge][level],Arg1);
			#else
			client_print(id,print_chat,"[BF2] %s odznaka zostala przyznana graczowi %s",gBadgeName[badge][level],Arg1);
			#endif
			save_badges(player);
			DisplayHUD(player);
        }

	new adminauthid[35];
	new awardauthid[35];
	get_user_authid (id,adminauthid,charsmax(adminauthid));
	get_user_authid (player,awardauthid,charsmax(awardauthid));

	log_amx("[BF2-ADMIN]Admin %s przyznal odznake %s graczowi %s",adminauthid,gBadgeName[badge][level],awardauthid);

	return PLUGIN_HANDLED;
}

public plugin_natives(){
	register_library("BF2AddKills");
	register_native("bf2_add_kills", "n_bf2_add_kills");
	register_library("HeadSplash");
	register_native("HeadSplash", "n_HeadSplash");
}

public n_bf2_add_kills(plugin, params){
	new id = get_param(1);
	new kills = get_param(2);
	totalkills[id]+=kills;
	save_badges(id);
	DisplayHUD(id);
}

public n_HeadSplash(plugin, params){
	new id = get_param(1);
	++headsplashes[id];
	++Rheadsplashes[id];
	bf2_add_kills(id,1);
}

//Gives kills to specified player
public add_kills(id,level,cid)
{
	if (!cmd_access(id, level, cid, 3))
        	return PLUGIN_HANDLED;

     	new Arg1[24];
     	new Arg2[6];

     	read_argv(1, Arg1, charsmax(Arg1));
     	read_argv(2, Arg2, charsmax(Arg2));

     	new kills = str_to_num(Arg2);

	new player = cmd_target(id, Arg1, 0);

	if (!player)
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1);
			return PLUGIN_HANDLED;
        } else {
			totalkills[player]+=kills;
			#if defined KOLOROWY_SAY
			ColorChat(id,TEAM_COLOR,"[BF2] %s^x03 fragi zostaly przyznane dla gracza^x04 %s",kills,Arg1);
			#else
			client_print(id,print_chat,"[BF2] %d fragi zostaly przyznane dla gracza %s",kills,Arg1);
			#endif
			save_badges(player);
			DisplayHUD(player);
        }

	new adminauthid[35];
	new awardauthid[35];
	get_user_authid(id,adminauthid,charsmax(adminauthid));
	get_user_authid(player,awardauthid,charsmax(awardauthid));

	log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow dla gracza %s",adminauthid,kills,awardauthid);

	return PLUGIN_HANDLED;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
