//Bf2 Rank Mod menu File
//Contains all the menu checking functions.

#if defined bf2_menu_included
  #endinput
#endif
#define bf2_menu_included

public Bf2menu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
	return PLUGIN_CONTINUE;

	new menu = menu_create("\yBF2: Menu Glowne", "menu_handler");

	menu_additem(menu, "\wPomoc", "0", 0);
	menu_additem(menu, "\wStatysyki", "1", 0);
	menu_additem(menu, "\dAdministracja", "2", ADMIN_LEVEL);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_MAIN;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public helpmenu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;
    
	new menu = menu_create("\yBF2: Menu Pomocy", "menu_handler");
 
	menu_additem(menu, "\wOdznaki - 1", "0", 0);
	menu_additem(menu, "\wOdznaki - 2", "1", 0);
	menu_additem(menu, "\wOdznaki - 3", "2", 0);
	menu_additem(menu, "\wOdznaki - 4", "3", 0);
	menu_additem(menu, "\wOdznaki - 5", "4", 0);
	menu_additem(menu, "\yPomoc", "5", 0);
	menu_additem(menu, "\wRanking", "6", 0);
	menu_additem(menu, "\dWstecz", "7", 0);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_HELP;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public playerlist(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;
    
	new menu = menu_create("\yBF2: Wybierz Gracza", "menu_handler");
 
	new players[32],num;
	get_players(players,num,"h");
	new name[30];
	new player;
	new tempstring[32];
	new idarray[3];
	
	for (new i=0; i<num; i++)
	{
		player=players[i];
		get_user_name(player,name,29);
		formatex(tempstring,49,"\w%s",name);
		formatex(idarray,2,"%i",player);
		menu_additem(menu, tempstring, idarray, 0);
	}

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_PLAYER;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public playerlist2(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;
    
	new menu = menu_create("\yBF2: Wybierz Gracza", "menu_handler");
 
	new players[32],num;
	get_players(players,num,"h");
	new name[30];
	new player;
	new tempstring[32];
	new idarray[3];
	
	for (new i=0; i<num; i++)
	{
		player=players[i];
		get_user_name(player,name,29);
		formatex(tempstring,49,"\w%s",name);
		formatex(idarray,2,"%i",player);
		menu_additem(menu, tempstring, idarray, 0);
	}

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_PLAYER2;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public statsmenu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;
    
	new menu = menu_create("\yBF2: Menu Statystyk", "menu_handler");
 
	menu_additem(menu, "\wPokaz Twoje Odznaki", "0", 0);
	menu_additem(menu, "\wPokaz Twoje Statystyki", "1", 0);
	menu_additem(menu, "\wPokaz Liste Graczy", "2", 0);
	menu_additem(menu, "\wPokaz Statystyki Serwera", "3", 0);
	menu_additem(menu, "\yPokaz Odznaki do zdobycia", "4", 0);
	menu_additem(menu, "\dWstecz", "5", 0);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_STATS;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public adminmenu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;
	
	new menu = menu_create("\yBF2: Administracja", "menu_handler");
 
	menu_additem(menu, "\wDaj graczowi odznake (bron)", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wDaj graczowi odznake (inne)", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wDaj graczowi fragi", "2", ADMIN_LEVEL);
	menu_additem(menu, "\dWstecz", "3", ADMIN_LEVEL);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_ADMIN;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public badgemenu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

  	new menu = menu_create("\yBF2: Wybierz Odznake (Bron)", "menu_handler");
 
	menu_additem(menu, "\wWalka Nozem", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Pistoletem", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Bronia Szturmowa", "2", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Bronia Snajperska", "3", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Bronia Wsparcia", "4", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Shotgunem", "5", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka SMG", "6", ADMIN_LEVEL);
	menu_additem(menu, "\dWstecz", "7", ADMIN_LEVEL);
  
	menu_setprop(menu, MPROP_PERPAGE, 0);
	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
  
	menuselection[id]=MENU_BADGE;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public badgemenu2(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

  	new menu = menu_create("\yBF2: Wybierz Odznake (Inne)", "menu_handler");
 
	menu_additem(menu, "\wWalka Granatami", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wWalka Flashami", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wWybuchy bomb", "2", ADMIN_LEVEL);
	menu_additem(menu, "\wRozbrojenia bomb", "3", ADMIN_LEVEL);
	menu_additem(menu, "\wZgniecenia wrogow", "4", ADMIN_LEVEL);
	menu_additem(menu, "\wZabicia w dymie", "5", ADMIN_LEVEL);
	menu_additem(menu, "\dWstecz", "6", ADMIN_LEVEL);
  
	menu_setprop(menu, MPROP_PERPAGE, 0);
	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
  
	menuselection[id]=MENU_BADGE2;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public badgelevelmenu(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

   	new menu = menu_create("\yBF2: Wybierz Poziom", "menu_handler");
 
	menu_additem(menu, "\wZaden", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wPodstawowy", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wWeteran", "2", ADMIN_LEVEL);
	menu_additem(menu, "\wExpert", "3", ADMIN_LEVEL);
	menu_additem(menu, "\wProfesjonalista", "4", ADMIN_LEVEL);
	menu_additem(menu, "\dWstecz", "5", ADMIN_LEVEL);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
  
	menuselection[id]=MENU_LEVEL;

	menu_display(id, menu, 0);
	
	return PLUGIN_CONTINUE;
}

public badgelevelmenu2(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

   	new menu = menu_create("\yBF2: Wybierz Poziom", "menu_handler");
 
	menu_additem(menu, "\wZaden", "0", ADMIN_LEVEL);
	menu_additem(menu, "\wPodstawowy", "1", ADMIN_LEVEL);
	menu_additem(menu, "\wWeteran", "2", ADMIN_LEVEL);
	menu_additem(menu, "\wExpert", "3", ADMIN_LEVEL);
	menu_additem(menu, "\wProfesjonalista", "4", ADMIN_LEVEL);
	menu_additem(menu, "\dWstecz", "5", ADMIN_LEVEL);

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
  
	menuselection[id]=MENU_LEVEL2;

	menu_display(id, menu, 0);
	
	return PLUGIN_CONTINUE;
}

public show_badges(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

  	new menu = menu_create("\yBF2: Odznaki do zdobycia", "menu_handler");
	new odznaki;
	new tempstring[200];
	odznaki=g_PlayerBadges[id][0]+g_PlayerBadges[id][1]+g_PlayerBadges[id][2];
	if(odznaki==12){
		menu_additem(menu, "\wCzesc 1 (\ywszystkie odznaki zdobyte\w)", "0", 0);
	} else if(odznaki==0){
		menu_additem(menu, "\wCzesc 1 (\rnie zdobyto zadnej odznaki\w)", "0", 0);
	} else {
		formatex(tempstring,charsmax(tempstring),"\wCzesc 1 (\y%d\d odznak do zdobycia\w)", 12-odznaki);
		menu_additem(menu, tempstring, "0", 0);
	}
	odznaki=g_PlayerBadges[id][3]+g_PlayerBadges[id][4]+g_PlayerBadges[id][5];
	if(odznaki==12){
		menu_additem(menu, "\wCzesc 2 (\ywszystkie odznaki zdobyte\w)", "1", 0);
	} else if(odznaki==0){
		menu_additem(menu, "\wCzesc 2 (\rnie zdobyto zadnej odznaki\w)", "1", 0);
	} else {
		formatex(tempstring,charsmax(tempstring),"\wCzesc 2 (\y%d\d odznak do zdobycia\w)", 12-odznaki);
		menu_additem(menu, tempstring, "1", 0);
	}
	odznaki=g_PlayerBadges[id][6]+g_PlayerBadges[id][7]+g_PlayerBadges[id][8];
	if(odznaki==12){
		menu_additem(menu, "\wCzesc 3 (\ywszystkie odznaki zdobyte\w)", "2", 0);
	} else if(odznaki==0){
		menu_additem(menu, "\wCzesc 3 (\rnie zdobyto zadnej odznaki\w)", "2", 0);
	} else {
		formatex(tempstring,charsmax(tempstring),"\wCzesc 3 (\y%d\d odznak do zdobycia\w)", 12-odznaki);
		menu_additem(menu, tempstring, "2", 0);
	}
	odznaki=g_PlayerBadges[id][9]+g_PlayerBadges[id][10]+g_PlayerBadges[id][11];
	if(odznaki==12){
		menu_additem(menu, "\wCzesc 4 (\ywszystkie odznaki zdobyte\w)", "3", 0);
	} else if(odznaki==0){
		menu_additem(menu, "\wCzesc 4 (\rnie zdobyto zadnej odznaki\w)", "3", 0);
	} else {
		formatex(tempstring,charsmax(tempstring),"\wCzesc 4 (\y%d\d odznak do zdobycia\w)", 12-odznaki);
		menu_additem(menu, tempstring, "3", 0);
	}
	odznaki=g_PlayerBadges[id][12];
	if(odznaki==4){
		menu_additem(menu, "\wCzesc 5 (\ywszystkie odznaki zdobyte\w)", "4", 0);
	} else if(odznaki==0){
		menu_additem(menu, "\wCzesc 5 (\rnie zdobyto zadnej odznaki\w)", "4", 0);
	} else {
		formatex(tempstring,charsmax(tempstring),"\wCzesc 5 (\y%d\d odznak do zdobycia\w)", 4-odznaki);
		menu_additem(menu, tempstring, "4", 0);
	}
	menu_additem(menu, "\dWstecz", "5", 0);
  
	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);

	menuselection[id]=MENU_SHOW_BADGES;

	menu_display(id, menu, 0);

	return PLUGIN_CONTINUE;
}

public menu_handler(id,menu,item)
{
	if (item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_HANDLED;
	}
	else if (item == MENU_BACK)
	{
		menu_display(id, menu, 0);
		return PLUGIN_HANDLED;	
	}

	new data[6], iName[64];
	new access, callback;

	menu_item_getinfo(menu, item, access, data,5, iName, 63, callback);


	if (!(get_user_flags(id) & access) && access)
		return PLUGIN_HANDLED;


	new key=str_to_num(data);

	switch (menuselection[id])
	{
		case MENU_BADGE:
		{
  			menuselected[id][0]=0;
			menuselected[id][1]=key;
			badgelevelmenu(id);
		}
		case MENU_BADGE2:
		{
  			menuselected[id][0]=0;
			menuselected[id][1]=key;
			badgelevelmenu2(id);
		}
		case MENU_LEVEL:
		{
			menuselected[id][2]=key;

			playerlist(id);
		}
		case MENU_LEVEL2:
		{
			menuselected[id][2]=key;

			playerlist2(id);
		}
		case MENU_ADMIN:
		{
			switch (key)
			{
				case 0:	badgemenu(id);
				case 1:	badgemenu2(id);
				case 2:
				{
					menuselected[id][0]=1;
					playerlist(id);
				}
				case 3: Bf2menu(id);
			}
		}
		case MENU_MAIN:
		{
			switch (key)
			{
				case 0: helpmenu(id);
				case 1:	statsmenu(id);
				case 2:	adminmenu(id);
			}
		}
		case MENU_STATS:
		{
			switch (key)
			{
				case 0:	display_badges(id,id);
				case 1:	show_stats(id);
				case 2: cmd_who(id);
				case 3: show_server_stats(id);
				case 4: show_badges(id);
				case 5: Bf2menu(id);
			}
		}
		case MENU_HELP:
		{
			switch (key)
			{
				case 0:	show_badgehelp(id);
				case 1:	show_badgehelp2(id);
				case 2: show_badgehelp3(id);
				case 3: show_badgehelp4(id);
				case 4: show_badgehelp5(id);
				case 5: cmd_help(id);
				case 6:	show_rankhelp(id);
				case 7: Bf2menu(id);
			}
		}
		case MENU_SHOW_BADGES:
		{
			switch (key)
			{
				case 0: show_badges1(id);
				case 1: show_badges2(id);
				case 2: show_badges3(id);
				case 3: show_badges4(id);
				case 4: show_badges5(id);
				case 5: statsmenu(id);
			}
		}
		case MENU_PLAYER:
		{
			if (menuselected[id][0]==0) //User selected a badge
			{
				new name[30];
				get_user_name(key,name,29);
				new badge=menuselected[id][1];
				new level=menuselected[id][2];
				if(badge>4)++badge;
				g_PlayerBadges[key][badge]=level;
				#if defined KOLOROWY_SAY
				ColorChat(id,TEAM_COLOR,"[BF2]%s^x03 odznaka zostala przyznana dla gracza^x04 %s",gBadgeName[badge][level],name);
				#else
				client_print(id,print_chat,"[BF2]%s odznaka zostala przyznana dla gracza %s",gBadgeName[badge][level],name);
				#endif
				save_badges(key);
				DisplayHUD(key);
				
				new adminauthid[35];
				new awardauthid[35];
				get_user_authid (id,adminauthid,34);
				get_user_authid (key,awardauthid,34);

				log_amx("[BF2-ADMIN]Admin %s przyznal odznake %s graczowi %s",adminauthid,gBadgeName[badge][level],awardauthid);
			}
			else //Kills
			{
				new name[30];
				get_user_name(key,name,29);
				new kills=menuselected[id][1];
				totalkills[key]+=kills;
				#if defined KOLOROWY_SAY
				ColorChat(id,TEAM_COLOR,"[BF2]%d^x03 fragi zostala przyznana dla gracza^x04 %s",kills,name);
				#else
				client_print(id,print_chat,"[BF2]%d fragi zostala przyznana dla gracza %s",kills,name);
				#endif
				save_badges(key);
				DisplayHUD(key);
				
				new adminauthid[35];
				new awardauthid[35];
				get_user_authid (id,adminauthid,34);
				get_user_authid (key,awardauthid,34);

				log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow graczowi %s",adminauthid,kills,awardauthid);
			}
		}
		case MENU_PLAYER2:
		{
			if (menuselected[id][0]==0) //User selected a badge
			{
				new name[30];
				get_user_name(key,name,29);
				new badge=menuselected[id][1];
				new level=menuselected[id][2];
				badge+=5;
				if(badge>5)badge+=2;
				g_PlayerBadges[key][badge]=level;
				#if defined KOLOROWY_SAY
				ColorChat(id,TEAM_COLOR,"[BF2]%s^x03 odznaka zostala przyznana dla gracza^x04 %s",gBadgeName[badge][level],name);
				#else
				client_print(id,print_chat,"[BF2]%s odznaka zostala przyznana dla gracza %s",gBadgeName[badge][level],name);
				#endif
				save_badges(key);
				DisplayHUD(key);
				
				new adminauthid[35];
				new awardauthid[35];
				get_user_authid (id,adminauthid,34);
				get_user_authid (key,awardauthid,34);

				log_amx("[BF2-ADMIN]Admin %s przyznal odznake %s graczowi %s",adminauthid,gBadgeName[badge][level],awardauthid);
			}
			else //Kills
			{
				new name[30];
				get_user_name(key,name,29);
				new kills=menuselected[id][1];
				totalkills[key]+=kills;
				#if defined KOLOROWY_SAY
				ColorChat(id,TEAM_COLOR,"[BF2]%d^x03 fragi zostala przyznana dla gracza^x04 %s",kills,name);
				#else
				client_print(id,print_chat,"[BF2]%d fragi zostala przyznana dla gracza %s",kills,name);
				#endif
				save_badges(key);
				DisplayHUD(key);
				
				new adminauthid[35];
				new awardauthid[35];
				get_user_authid (id,adminauthid,34);
				get_user_authid (key,awardauthid,34);

				log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow graczowi %s",adminauthid,kills,awardauthid);
			}
		}
	}

   	menu_destroy(menu);
    
	return PLUGIN_HANDLED;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
