//Bf2 Rank Mod CSX forwards File
//Contains all the CSX forwarded functions

#if defined bf2_csx_forward_included
#endinput
#endif
#define bf2_csx_forward_included

public client_death(killer, victim, wpnindex, hitplace, TK)
{
	if ( !get_pcvar_num(gPcvarBF2Active) ) return;
	
	if ( killer == victim )
	{
		check_badges(victim);
		return;
	}
	
	//if ( is_user_bot(victim) && !get_pcvar_num(gPcvarRankBots) ) return;
	
	if ( TK && !get_pcvar_num(gPcvarFFA) ) return;
	if ( killer < 1 || killer > gMaxPlayers ) return;
	
	// Poczatek obslugi zabic w Smoku
	for(new i=0;i<=smokenum;++i){
		if(/*smokepos[i][3]==killer && */smokepos[i][4]-get_remaining_seconds()<=30){
			new playerorigin[3]; // pozycja gracza
			get_user_origin(killer,playerorigin);
			new smokeorigin[3]; // pozycja smoka
			smokeorigin[0]=smokepos[i][0];
			smokeorigin[1]=smokepos[i][1];
			smokeorigin[2]=smokepos[i][2];
			new dist=get_distance(playerorigin,smokeorigin);
			if(dist<=250){
				// zabicie w ukryciu w dymie
				++zabiciaWdymie[killer];
				if(hitplace==HIT_HEAD)
					++zabiciaWdymieHS[killer];
				if(wpnindex==CSW_KNIFE)
					++zabiciaWdymieNozem[killer];
				if(wpnindex==CSW_KNIFE && hitplace==HIT_HEAD)
					++zabiciaWdymieNozemWglowe[killer];
				++RzabiciaWdymie[killer];
				i=smokenum+1;
			}
		}
	}
	// Koniec obslugi zabic w Smoku
	
	switch ( wpnindex )
	{
		case CSW_KNIFE: knifekills[killer]++;
		case CSW_M249: parakills[killer]++;
		case CSW_AWP, CSW_SCOUT, CSW_G3SG1, CSW_SG550 : sniperkills[killer]++;
		case CSW_DEAGLE, CSW_ELITE, CSW_USP, CSW_FIVESEVEN, CSW_P228, CSW_GLOCK18: pistolkills[killer]++;
		case CSW_HEGRENADE: grenadekills[killer]++;
		case CSW_XM1014, CSW_M3: shotgunkills[killer]++;
		case CSW_MAC10, CSW_UMP45, CSW_MP5NAVY, CSW_TMP, CSW_P90: smgkills[killer]++;
		case CSW_AUG, CSW_GALIL, CSW_FAMAS, CSW_M4A1, CSW_SG552, CSW_AK47: riflekills[killer]++;
	}
	
	totalkills[killer]++;
	
	check_badges(victim);
	
	if ( mostkillsid == killer )
	{
		mostkills++;
	}
	else if ( totalkills[killer] > mostkills )
	{
		mostkills = totalkills[killer];
		mostkillsid = killer;
		
		new line[100], name[32];
		get_user_name(killer, name, charsmax(name));
		line[0] = 0x04;
#if defined KOLOROWY_SAY
		ColorChat(0,TEAM_COLOR,"[BF2]^x03 Gratulacje dla^x04 %s^x03 nowego Lidera we fragach z^x04 %i^x03 zabiciami", name, mostkills);
#else
		formatex(line[1], charsmax(line)-1, "Gratulacje dla %s, nowego Lidera we fragach z %i zabiciami", name, mostkills);
		copy(mostkillsname, charsmax(mostkillsname), name);
		ShowColorMessage(killer, MSG_BROADCAST, line);
#endif
	}
	
	DisplayHUD(killer);
}

public client_damage(attacker, victim, damage, wpnindex, hitplace, TA)
{
	if ( !get_pcvar_num(gPcvarBF2Active) || !get_pcvar_num(gPcvarBadgesActive) || !get_pcvar_num(gPcvarBadgePowers) )
		return;
	
	// Check in case of suicide, pistol code may run on self
	if ( attacker == victim )
		return;
	
	if ( TA && !get_pcvar_num(gPcvarFFA)  )	//add check for free for all later
		return;
	
	new pistollevel = g_PlayerBadges[victim][BADGE_PISTOL];
	
	if ( pistollevel > 0 )
	{
		if ( random_num(1, (9-pistollevel)) == 1 )
		{
			g_imobile[attacker] = true;
			set_speed(attacker);
			screen_flash(attacker, 255, 0, 0, 100); //Red screen flash
			player_glow(attacker, 255, 0, 0); //Make the player glow red too
			
			message_begin(MSG_ONE_UNRELIABLE, gmsgScreenShake, _, attacker);
			write_short(10<<12);
			write_short(2<<12);
			write_short(5<<12);
			message_end();
			
			set_task(1.0, "remove_imobile", attacker);
		}
	}
	
	if ( !is_user_alive(attacker) )
		return;
	
	if ( wpnindex == CSW_KNIFE && get_pcvar_num(gPcvarAddHP) )
	{
		new attackerknifelevel = g_PlayerBadges[attacker][BADGE_KNIFE];
		
		if ( attackerknifelevel == 0 )
			return;
		
		// Health to add is dependent on assault badge
		new hp = get_user_health(attacker);
		new maxHP = 100 + g_PlayerBadges[attacker][BADGE_ASSAULT]*5;
		
		if ( hp >= maxHP )
			return;
		
		hp += floatround(damage*(attackerknifelevel/5.0));
		
		fm_set_user_health(attacker, min(hp, maxHP));
		
		screen_flash(attacker, 0, 0, 255, 100); //Blue screen flash
		player_glow(attacker, 0, 0, 255); //Blue model flash
	}
}

public bomb_planted(id){
	if(get_playersnum()<get_pcvar_num(gPcvarXpMinPlayers))return;
	new wybuchylevel = g_PlayerBadges[id][BADGE_EXPLOSIONS];
	new Float:c4timer=45.0;
	if(wybuchylevel)
		c4timer-=wybuchylevel*2+1+(wybuchylevel>=3?1:0);
	new ent;
	set_cvar_num("mp_c4timer",floatround(c4timer));
	while((ent = find_ent_by_model(ent, "grenade", "models/w_c4.mdl"))){
		if(pev(ent, pev_owner)==id){
			cs_set_c4_explode_time(ent,get_gametime()+c4timer);
		}
	}
	
	plants[id]++;
	DisplayHUD(id);
}

public bomb_explode(planter, defuser){
	if ( get_playersnum() < get_pcvar_num(gPcvarXpMinPlayers) ) return;
	
	explosions[planter]++;
	totalkills[planter] += 3;
	DisplayHUD(planter);/*
#if defined KOLOROWY_SAY
	ColorChat(planter,TEAM_COLOR,"[BF2]^x03 Dostales^x04 3^x03 Punkty za zniszczenie celu");
#else
	client_print(planter, print_chat, "[BF2] Dostales 3 Punkty za zniszczenie celu");
#endif
*/
}

public bomb_defused(defuser)
{
	if ( get_playersnum() < get_pcvar_num(gPcvarXpMinPlayers) ) return;
	
	defuses[defuser]++;
	totalkills[defuser] += 3;
	DisplayHUD(defuser);/*
#if defined KOLOROWY_SAY
	ColorChat(defuser,TEAM_COLOR,"[BF2]^x03 Dostales^x04 3^x03 Punkty za rozbrojenie bomby");
#else
	client_print(defuser, print_chat, "[BF2] Dostales 3 Punkty za rozbrojenie bomby");
#endif
*/
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
